Subject: Re: Additional comments on draft-duerst-mailto-bis-07.txt

From: "Martin J. Dürst" <[email-masked]>
Date: Thu, 04 Mar 2010 20:05:14 +0900

Hello Alex,

On 2009/11/28 23:55, Alexey Melnikov wrote:
> Hi Martin/Larry,
> I've requested IETF LC for this document. The following extra comments
> can be considered as a part of IETF LC.
>
>
>> 2. Syntax of a 'mailto' URI
>>
>> The syntax of a 'mailto' URI is described using the ABNF of [STD68],
>> non-terminal definitions from [RFC5322] (dot-atom, quoted-string) and
>> non-terminal definitions from [STD66] (unreserved, pct-encoded):
>>
>> mailtoURI = "mailto:" [ to ] [ hfields ]
>> to = [ addr-spec *("%2C" addr-spec ) ]
>> hfields = "?" hfield *( "&" hfield )
>> hfield = hfname "=" hfvalue
>> hfname = *qchar
>> hfvalue = *qchar
>> addr-spec = local-part "@" domain
>> local-part = dot-atom / quoted-string
>> domain = dot-atom
>
> I think you should be using "dot-atom-text" instead:
>
> atext = ALPHA / DIGIT / ; Printable US-ASCII
> "!" / "#" / ; characters not including
> "$" / "%" / ; specials. Used for atoms.
> "&" / "'" /
> "*" / "+" /
> "-" / "/" /
> "=" / "?" /
> "^" / "_" /
> "`" / "{" /
> "|" / "}" /
> "~"
>
> atom = [CFWS] 1*atext [CFWS]
>
> dot-atom-text = 1*atext *("." 1*atext)
>
> dot-atom = [CFWS] dot-atom-text [CFWS]
>
>
> I.e. I don't think we want CFWS.

Done (in my internal copy that will go out before the deadline next Monday).

>> qchar = unreserved / pct-encoded / some-delims
>> some-delims = "!" / "$" / "'" / "(" / ")" / "*"
>> / "+" / "," / ";" / ":" / "@"
>
> [...]
>
>> Implementations SHOULD NOT produce two "To:" header fields in a
>> message; the "To:" header field may occur at most once in a message
>> ([RFC5322], Section 3.6). Also, creators of 'mailto' URIs SHOULD NOT
>> include other message header fields multiple times if these header
>> fields can only be used once in a message.
>>
>>
> Any reasons why these SHOULD NOTs are not MUST NOTs?

Done.

>> From ID-nits:
>>
>> Miscellaneous warnings:
>> ----------------------------------------------------------------------------
>>
>>
>> == The document seems to lack the recommended RFC 2119 boilerplate,
>> even if
>> it appears to use RFC 2119 keywords -- however, there's a paragraph with
>> a matching beginning. Boilerplate error?
>>
>> (The document does seem to have the reference to RFC 2119 which the
>>
>> ID-Checklist requires).
>>
>>
> I think this can be fixed by the RFC Editor, but if you have to do a new
> revision, you might as well fix that.

Done.

Regards,   Martin.

-- 
#-# Martin J. Dürst, Professor, Aoyama Gakuin University
#-# http://www.sw.it.aoyama.ac.jp   mailto:[email-masked]